import { EventEmitter, TemplateRef, QueryList } from '@angular/core';
import { services } from 'typescript-angular-utilities';
import __transform = services.transform;
import { PopoutItemComponent } from './popoutItem';
import { PopoutListService } from './popoutList.service';
export declare class PopoutListComponent<T> {
    options: T[];
    template: TemplateRef<any>;
    transform: __transform.ITransform<T, string>;
    select: EventEmitter<T>;
    disabled: boolean;
    customItems: QueryList<PopoutItemComponent<T>>;
    listItems: QueryList<PopoutItemComponent<T>>;
    transformService: __transform.ITransformService;
    popoutListService: PopoutListService<T>;
    constructor(transformService: __transform.TransformService, popoutListService: PopoutListService<T>);
    readonly isEmpty: boolean;
    readonly showOptions: boolean;
    open(): void;
    close(): void;
    newTemplate(): TemplateRef<any>;
    getDisplayName(item: T): string;
}
